Package twisted :: Package manhole :: Package ui :: Module gtk2manhole :: Class ManholeWindow

[frames | no frames]

## Class ManholeWindow

    Versioned --+
                |
    Componentized --+
                    |
      GladeKeeper --+
                    |
                   ManholeWindow

Method Summary
| `__init__(self)`
| `_cbDisconnected(self, perspective)`
| `_cbLogin(self, perspective)`
| `_ebLogin(self, reason)`
| `_on_aboutMenuItem_activate(self, widget, *unused)`
| `_on_manholeWindow_delete_event(self, widget, *unused)`
| `_on_openMenuItem_activate(self, widget, userdata)`
| `_on_quitMenuItem_activate(self, widget, *unused)`
| `login(self)`
| `on_reload_self_activate(self, *unused)`
| `setDefaults(self, defaults)`
Inherited from Componentized
| ``addAdapter`(self, adapterClass, ignoreClass, registry)` Utility method that calls addComponent.
| ``addComponent`(self, component, ignoreClass, registry)` Add a component to me, for all appropriate interfaces.
| ``getComponent`(self, interface, registry, default)` Create or retrieve an adapter for the given interface.
| ``locateAdapterClass`(self, klass, interfaceClass, default, registry)`
| ``removeComponent`(self, component)` Remove the given component from me entirely, for all interfaces for which it has been registered.
| ``setAdapter`(self, interfaceClass, adapterClass)`
| ``setComponent`(self, interfaceClass, component)`
| ``unsetComponent`(self, interfaceClass)` Remove my component specified by the given interface class.
| ``upgradeToVersion1`(self)`
Inherited from Versioned
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out.
| ``__setstate__`(self, state)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade.
Inherited from GladeKeeper
| ``_setWidgets`(self)`

Class Variable Summary
list of strings | `_widgets`: Widgets that should be attached to me as attributes.
str | `gladefile`: The file in which the glade GUI definition is kept.
Inherited from Componentized
`int` | `persistenceVersion` = 1
Inherited from Versioned
`tuple` | `persistenceForgets` = `()`

Class Variable Details

### _widgets

Widgets that should be attached to me as attributes.

  Type:
    list of strings
  Value:

        ('input', 'output', 'manholeWindow')

### gladefile

The file in which the glade GUI definition is kept.

  Type:
    str
  Value:

        '/home/radix/rel/Twisted.exp/twisted/manhole/ui/gtk2manhole.glade'

Generated by Epydoc 2.0 on Sat May 15 20:08:22 2004 | http://epydoc.sf.net